Mail archive
alpine-aports

[alpine-aports] [PATCH] main/xf86-input-evdev: upgrade to 2.10.0

From: Sören Tempel <soeren+git_at_soeren-tempel.net>
Date: Mon, 2 Nov 2015 15:35:09 +0100

---
 main/xf86-input-evdev/APKBUILD | 19 ++++++++++---------
 1 file changed, 10 insertions(+), 9 deletions(-)
diff --git a/main/xf86-input-evdev/APKBUILD b/main/xf86-input-evdev/APKBUILD
index 595a7c0..ee77e4c 100644
--- a/main/xf86-input-evdev/APKBUILD
+++ b/main/xf86-input-evdev/APKBUILD
_at_@ -1,34 +1,35 @@
 # Maintainer: Natanael Copa <ncopa_at_alpinelinux.org>
 pkgname=xf86-input-evdev
-pkgver=2.9.2
+pkgver=2.10.0
 pkgrel=1
 pkgdesc="X.org evdev input driver"
 url="http://xorg.freedesktop.org/"
 arch="all"
 license="custom"
 subpackages="$pkgname-doc $pkgname-dev"
-depends=
+depends=""
 makedepends="libxkbfile-dev xorg-server-dev libxi-dev libxrandr-dev
 	eudev-dev mtdev-dev libevdev-dev"
 source="http://xorg.freedesktop.org/releases/individual/driver/$pkgname-$pkgver.tar.bz2"
 
+_builddir="$srcdir"/$pkgname-$pkgver
 build() {
-	cd "$srcdir"/$pkgname-$pkgver
-
+	cd "$_builddir"
 	export LDFLAGS="$LDFLAGS -Wl,-z,lazy"
 	./configure \
 		--build=$CBUILD \
 		--host=$CHOST \
 		--prefix=/usr \
 		|| return 1
-	make
+	make || return 1
 }
 
 package() {
-	cd "$srcdir"/$pkgname-$pkgver
+	cd "$_builddir"
 	make DESTDIR="$pkgdir" install || return 1
 	install -Dm644 COPYING "$pkgdir"/usr/share/licenses/$pkgname/COPYING
 }
-md5sums="99eebf171e6c7bffc42d4fc430d47454  xf86-input-evdev-2.9.2.tar.bz2"
-sha256sums="792329b531afc6928ccda94e4b51a5520d4ddf8ef9a00890a5d0d31898acefec  xf86-input-evdev-2.9.2.tar.bz2"
-sha512sums="258c4c391fdd5a3c5a5bef86f55f27d47fd7527f37edd601ee76c0acc2e1830e8899cc8d7a59d646b49f3f23d93971bcc70a76185a7580942935cbf3a0d888f7  xf86-input-evdev-2.9.2.tar.bz2"
+
+md5sums="b1183c55125981d346102d1be704760b  xf86-input-evdev-2.10.0.tar.bz2"
+sha256sums="d097298eb07b7a9edf4493b5c3c058041458ca52c8c62dbd4f40b84c5086d117  xf86-input-evdev-2.10.0.tar.bz2"
+sha512sums="b17e2f315b5291ccb234e2b9eeec9c32828091ca935fdc7463a75eccc7fcc9d465c88970c12d2128db6e0b49df23714c794fbaa5767e7b91ef58efb40aadaa30  xf86-input-evdev-2.10.0.tar.bz2"
-- 
2.6.1
---
Unsubscribe:  alpine-aports+unsubscribe_at_lists.alpinelinux.org
Help:         alpine-aports+help_at_lists.alpinelinux.org
---
Received on Mon Nov 02 2015 - 15:35:09 GMT